
<!DOCTYPE HTML>
<html>
  <head>

    <title>DashGL.com</title>

    <meta charset="utf-8" />
    <meta name="viewport"
      content="width=device-width,initial-scale=1.0,user-scalable=no">
    <meta name="description" content="Tutortials for Linux programming using
      GTK, C, and OpenGL" />
    <meta name="keywords" content="Linux,C,OpenGL,Tutorial,GTK">
    <meta name="author" content="Kion">

    <link rel="shortcut icon" href="/img/favicon.png">
    <link rel="stylesheet" type="text/css" href="/css/layout.css" />
  </head>
  <body>

    <div class="title">
      <a href="/Information?file=Mascot"><img
          src="/img/others_20171117_dashgl_dash_cropped_icon.png" /></a>
    </div>

    <header>

      <table>
        <th>
          <h1><a href="index.php">DashGL</a></h1>
        </th>
        <td></td>

        <td><a href='/Brickout' class='selected'>Brickout</a></td>
        <td><a href='/Invaders'>Invaders</a></td>
        <td><a href='/Astroids'>Astroids</a></td>
        <td><a href='/Information'>Information</a></td>

      </table>
    </header>

    <nav id="nav">

      <li><a href='/Brickout' class='selected'>Brickout</a></li>
      <li><a href='/Invaders'>Invaders</a></li>
      <li><a href='/Astroids'>Astroids</a></li>
      <li><a href='/Information'>Information</a></li>

    </nav>

    <section>

      <article>

        <table class='author'>
          <tr>
            <td>By Kion</td>
            <td>Sept. 15, 2017</td>
          </tr>
          <tr>
            <td><a
                href="https://github.com/kion-dgl/DashGL-GTK-Brickout-Tutorial/tree/master/01_Open_a_Window">View
                Source On Github</a></td>
            <td></td>
          </tr>
        </table>

        <img src="/img/bricks_001.png" width="646" height="512" />

        <p>
          First we make a quick 'Hello, World!' program. To make sure our
          environment
          is set up and working.
        </p>

        <pre data-file="main.c">
#include &lt;gtk/gtk.h&gt;

int main(int argc, char *argv[]) {

	GtkWidget *window;

	gtk_init(&argc, &argv);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window), "Brickout Tutorial");
	gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);
	gtk_window_set_default_size(GTK_WINDOW(window), 640, 480);
	gtk_window_set_type_hint(GTK_WINDOW(window), GDK_WINDOW_TYPE_HINT_UTILITY);
	g_signal_connect(window, "destroy", G_CALLBACK(gtk_main_quit), NULL);

	gtk_widget_show_all(window);

	gtk_main();

	return 0;

}
</pre>

        <label>Compile:</label>
        <pre>
$ gcc `pkg-config --cflags gtk+-3.0` main.c `pkg-config --libs gtk+-3.0`
</pre>

        <label>Run:</label>
        <pre>
$ ./a.out
</pre>

      </article>

    </section>

    <aside>
      <ul>

        <li><a href='/Brickout/Introduction'>Introduction</a></li>
        <li><a class='selected' href='/Brickout/Open_a_Window'>Open
            a Window</a></li>
        <li><a href='/Brickout/Draw_a_Triangle'>Draw a Triangle</a></li>
        <li><a href='/Brickout/Separate_Shaders'>Separate Shaders</a></li>
        <li><a href='/Brickout/Shader_Program'>Shader Program</a></li>
        <li><a href='/Brickout/Orthagonal_Coordinates'>Orthagonal
            Coordinates</a></li>
        <li><a href='/Brickout/Draw_a_Ball'>Draw a Ball</a></li>
        <li><a href='/Brickout/Set_Ball_Position'>Set Ball Position</a></li>
        <li><a href='/Brickout/Move_a_Ball'>Move a Ball</a></li>
        <li><a href='/Brickout/Bounce_a_Ball'>Bounce a Ball</a></li>
        <li><a href='/Brickout/Define_Ball_Struct'>Define Ball
            Struct</a></li>
        <li><a href='/Brickout/Draw_a_Paddle'>Draw a Paddle</a></li>
        <li><a href='/Brickout/Paddle_Uniform_Color'>Paddle Uniform
            Color</a></li>
        <li><a href='/Brickout/Keydown_Callbacks'>Keydown Callbacks</a></li>
        <li><a href='/Brickout/Paddle_Hit_Detection'>Paddle Hit
            Detection</a></li>
        <li><a href='/Brickout/Draw_Row_of_Bricks'>Draw Row of
            Bricks</a></li>
        <li><a href='/Brickout/Draw_Grid_of_Bricks'>Draw Grid of
            Bricks</a></li>
        <li><a href='/Brickout/Break_Some_Bricks'>Break Some Bricks</a></li>
      </ul>
    </aside>

    <footer>

      <table>
        <tr>
          <td><a href='/Brickout/Introduction'>&lt;&lt; Prev<br>Introduction</a></td><td></td><td><a
              href='/Brickout/Draw_a_Triangle'>Next &gt;&gt;<br>Draw
              a Triangle</a></td> </tr>
      </table>

      Copyright &copy; 2017 DashGL Project

    </footer>

  </body>

</html>
